#pragma once

#include <Engine/types/entity/InstancedSprite.h>

namespace Game {
    class Box;
}

class Game::Box final : public Engine::InstancedSprite {
public:
    void Update() final;
public:
    explicit Box(const Vector2& position, unsigned int depth = 0, float rad_rotation = 0.0f) : Engine::InstancedSprite(position, depth, "assets/sprites/Re3D.png", rad_rotation) {}
};